Index: b/cloud.cfg
===================================================================
--- a/cloud.cfg	2012-07-03 11:03:24.172761322 +0200
+++ b/cloud.cfg	2012-07-03 11:03:24.208761512 +0200
@@ -1,5 +1,10 @@
 cloud_type: auto
-user: ubuntu
-disable_root: 1
-preserve_hostname: False
+user: cloud-user
+disable_root: false
+preserve_hostname: false
 log_cfg: built_in_log
+
+cloud_config_modules:
+ - disable-ec2-metadata
+ - runcmd
+ - ssh
Index: b/cloudinit/DataSourceNoCloud.py
===================================================================
--- a/cloudinit/DataSourceNoCloud.py	2012-07-03 11:03:24.092760936 +0200
+++ b/cloudinit/DataSourceNoCloud.py	2012-07-03 11:03:24.212761526 +0200
@@ -42,7 +42,7 @@
 
     def get_data(self):
         defaults = { 
-            "local-hostname" : "ubuntuhost",
+            "local-hostname" : "cloud-host",
             "instance-id" : "nocloud"
         }
 
Index: b/cloudinit/DataSource.py
===================================================================
--- a/cloudinit/DataSource.py	2012-07-03 11:03:24.088760906 +0200
+++ b/cloudinit/DataSource.py	2012-07-03 11:03:24.212761526 +0200
@@ -60,14 +60,14 @@
         return(None)
 
     def get_locale(self):
-        return('en_US.UTF-8')
+        return('en_US.utf8')
 
     def get_local_mirror(self):
-        return('http://archive.ubuntu.com/ubuntu/')
+        return('cloud-host')
 
     def get_instance_id(self):
         if 'instance-id' not in self.metadata:
-            return "ubuntuhost"
+            return "cloud-host"
         return(self.metadata['instance-id'])
 
     def get_hostname(self):
Index: b/cloudinit/__init__.py
===================================================================
--- a/cloudinit/__init__.py	2012-07-03 11:03:24.176761352 +0200
+++ b/cloudinit/__init__.py	2012-07-03 11:08:47.510364670 +0200
@@ -34,7 +34,7 @@
 
 cfg_builtin = """
 cloud_type: auto
-user: ubuntu
+user: cloud-user
 disable_root: 1
 
 cloud_config_modules:
@@ -90,7 +90,7 @@
 
 """
 
-built_in_log_clougLogHandlerLog = """
+built_in_log_cloudLogHandlerLog = """
 [handler_cloudLogHandler]
 class=FileHandler
 level=DEBUG
@@ -159,7 +159,7 @@
                 raise
     
     logcfg = util.get_cfg_option_str(cfg, "log_cfg", "built_in")
-    failsafe = "%s\n%s" % (built_in_log_base, built_in_log_clougLogHandlerLog)
+    failsafe = "%s\n%s" % (built_in_log_base, built_in_log_cloudLogHandlerLog)
     builtin = False
     if logcfg.lower() == "built_in":
         logcfg = "%s\n%s" % (built_in_log_base,
@@ -292,7 +292,7 @@
             except Exception, e:
                 log.warn("get_data of %s raised %s" % (ds, e))
                 util.logexc(log)
-        log.debug("did not find data source from %s" % dslist)
+        log.debug("did not find data source from %s" % str(dslist))
         raise DataSourceNotFoundException("Could not find data source")
 
     def get_userdata(self):
Index: b/cloud-init.py
===================================================================
--- a/cloud-init.py	2012-07-03 11:03:24.176761352 +0200
+++ b/cloud-init.py	2012-07-03 11:03:24.212761526 +0200
@@ -112,19 +112,13 @@
     except:
         warn("failed to set defaults\n", log)
 
-    # finish, send the cloud-config event
-    cloud.initctl_emit()
-
     sys.exit(0)
 
 def set_defaults(cloud):
     apply_locale(cloud.get_locale())
     
 def apply_locale(locale):
-    subprocess.Popen(['locale-gen', locale]).communicate()
-    subprocess.Popen(['update-locale', locale]).communicate()
-
-    util.render_to_file('default-locale', '/etc/default/locale', \
+    util.render_to_file('default-locale', '/etc/sysconfig/i18n', \
         { 'locale' : locale })
 
 # read hostname from a 'hostname' file
Index: b/cloudinit/DataSourceEc2.py
===================================================================
--- a/cloudinit/DataSourceEc2.py	2012-07-03 11:03:24.172761322 +0200
+++ b/cloudinit/DataSourceEc2.py	2012-07-03 11:03:24.212761526 +0200
@@ -31,9 +31,9 @@
     cachedir = cloudinit.cachedir + '/ec2'
 
     location_locale_map = { 
-        'us' : 'en_US.UTF-8',
-        'eu' : 'en_GB.UTF-8',
-        'default' : 'en_US.UTF-8',
+        'us' : 'en_US.utf8',
+        'eu' : 'en_GB.utf8',
+        'default' : 'en_US.utf8',
     }
 
     def __init__(self):
